package com.agri.system.service;

import java.util.List;

import com.agri.common.core.domain.AjaxResult;
import com.baomidou.mybatisplus.extension.service.IService;
import com.agri.system.domain.SysDtuRemarkBak;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * dtu设备备注Service接口
 * 
 * @author lld
 * @date 2026-03-17
 */
public interface ISysDtuRemarkBakService  extends IService<SysDtuRemarkBak> {
    /**
     * 查询dtu设备备注
     * 
     * @param id dtu设备备注主键
     * @return dtu设备备注
     */
    public SysDtuRemarkBak selectSysDtuRemarkBakById(String id);

    /**
     * 查询dtu设备备注列表
     * 
     * @param sysDtuRemarkBak dtu设备备注
     * @return dtu设备备注集合
     */
    public List<SysDtuRemarkBak> selectSysDtuRemarkBakList(SysDtuRemarkBak sysDtuRemarkBak);

    /**
     * 新增dtu设备备注
     * 
     * @param sysDtuRemarkBak dtu设备备注
     * @return 结果
     */
    public int insertSysDtuRemarkBak(SysDtuRemarkBak sysDtuRemarkBak);

    /**
     * 修改dtu设备备注
     * 
     * @param sysDtuRemarkBak dtu设备备注
     * @return 结果
     */
    public int updateSysDtuRemarkBak(SysDtuRemarkBak sysDtuRemarkBak);

    /**
     * 批量删除dtu设备备注
     * 
     * @param ids 需要删除的dtu设备备注主键集合
     * @return 结果
     */
    public int deleteSysDtuRemarkBakByIds(String[] ids);

    /**
     * 删除dtu设备备注信息
     * 
     * @param id dtu设备备注主键
     * @return 结果
     */
    public int deleteSysDtuRemarkBakById(String id);


    SysDtuRemarkBak getDtuRemarkByImei(String imei);


    boolean saveAgriRemark(SysDtuRemarkBak sysDtuRemarkBak);
}
